\section{Request Methods\label{sec:http:methods}}

Despite being the first part of the \hyperref[sec:http:rq]{Request},
there is actually a bit more setup involved here for getting the
browser to send different methods. Now that we've shown serving static
content, we can set up some basic form handling pages to instruct the
browser to send a different method.

The default method is the \GET method. This tells the web application
that the browser would like to view some content. In this example, we
specify that the application will only send the image back when it's
requested with a \GET request. Click the different buttons to see what
effect different request methods have on the response.

\lstinputlisting[caption=Specifying a request method (HTTPGET).]{FunctionalWebExamples/Source/HTTP/GET.hs}

\subsection{Exercises}

\begin{Exercise}[difficulty=1,title=Change method of image.]
Change the method the image accepts to \POST.
\end{Exercise}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: "../../FunctionalWeb"
%%% End:
